Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.text
Interface GVTAttributedCharacterIterator

All Superinterfaces:
  AttributedCharacterIterator, CharacterIterator, Cloneable

All Known Implementing Classes:
  GVTACIImpl

    public interface GVTAttributedCharacterIterator

extends AttributedCharacterIterator

GVTAttributedCharacterIterator Used to implement SVG <tspan> and <text> attributes. This implementation is designed for efficient support of per-character attributes (i.e. single character attribute spans). It supports an extended set of TextAttributes, via inner class SVGAttributedCharacterIterator.TextAttributes.

Nested Class Summary
`static interface` | `GVTAttributedCharacterIterator.AttributeFilter` Interface for helper class which mutates the attributes of an AttributedCharacterIterator.
`static class` | `GVTAttributedCharacterIterator.TextAttribute` Attribute keys that identify SVG text attributes.

Nested classes/interfaces inherited from interface java.text.AttributedCharacterIterator
`AttributedCharacterIterator.Attribute`

Field Summary

Fields inherited from interface java.text.CharacterIterator
`DONE`

Method Summary
`Object` | `clone()` Create a copy of this iterator
`char` | `current()` Get the character at the current position (as returned by getIndex()).
`char` | `first()` Sets the position to getBeginIndex().
`Set` | `getAllAttributeKeys()` Get the keys of all attributes defined on the iterator's text range.
`Object` | `getAttribute(AttributedCharacterIterator.Attribute attribute)` Get the value of the named attribute for the current character.
`Map` | `getAttributes()` Returns a map with the attributes defined on the current character.
`int` | `getBeginIndex()` Get the start index of the text.
`int` | `getEndIndex()` Get the end index of the text.
`int` | `getIndex()` Get the current index.
`int` | `getRunLimit()` Get the index of the first character following the run with respect to all attributes containing the current character.
`int` | `getRunLimit(AttributedCharacterIterator.Attribute attribute)` Get the index of the first character following the run with respect to the given attribute containing the current character.
`int` | `getRunLimit(Set attributes)` Get the index of the first character following the run with respect to the given attributes containing the current character.
`int` | `getRunStart()` Get the index of the first character of the run with respect to all attributes containing the current character.
`int` | `getRunStart(AttributedCharacterIterator.Attribute attribute)` Get the index of the first character of the run with respect to the given attribute containing the current character.
`int` | `getRunStart(Set attributes)` Get the index of the first character of the run with respect to the given attributes containing the current character.
`char` | `last()` Sets the position to getEndIndex()-1 (getEndIndex() if the text is empty) and returns the character at that position.
`char` | `next()` Increments the iterator's index by one, returning the next character.
`char` | `previous()` Decrements the iterator's index by one and returns the character at the new index.
`void` | `setAttributeArray(GVTAttributedCharacterIterator.TextAttribute attr, Object[] attValues, int beginIndex, int endIndex)` Sets values of a per-character attribute associated with the content string.
`char` | `setIndex(int position)` Sets the position to the specified position in the text.
`void` | `setString(AttributedString s)` Assigns this iterator's contents to be equivalent to AttributedString s.
`void` | `setString(String s)` Sets this iterator's contents to an unattributed copy of String s.

Method Detail

### setString

    void setString(String s)

  Sets this iterator's contents to an unattributed copy of String s.

### setString

    void setString(AttributedString s)

  Assigns this iterator's contents to be equivalent to AttributedString s.

### setAttributeArray

    void setAttributeArray(GVTAttributedCharacterIterator.TextAttribute attr,
                           Object[] attValues,
                           int beginIndex,
                           int endIndex)

  Sets values of a per-character attribute associated with the content string. Characters from `beginIndex` to `endIndex` (zero-offset) are assigned values for attribute key `attr` from the array `attValues.` If the length of attValues is less than character span `(endIndex-beginIndex)` the last value is duplicated; if attValues is longer than the character span the extra values are ignored. Note that if either beginIndex or endIndex are outside the bounds of the current character array they are clipped accordingly.

### getAllAttributeKeys

    Set getAllAttributeKeys()

  Get the keys of all attributes defined on the iterator's text range.

  Specified by:
    `getAllAttributeKeys` in interface `AttributedCharacterIterator`

### getAttribute

    Object getAttribute(AttributedCharacterIterator.Attribute attribute)

  Get the value of the named attribute for the current character.

  Specified by:
    `getAttribute` in interface `AttributedCharacterIterator`

### getAttributes

    Map getAttributes()

  Returns a map with the attributes defined on the current character.

  Specified by:
    `getAttributes` in interface `AttributedCharacterIterator`

### getRunLimit

    int getRunLimit()

  Get the index of the first character following the run with respect to all attributes containing the current character.

  Specified by:
    `getRunLimit` in interface `AttributedCharacterIterator`

### getRunLimit

    int getRunLimit(AttributedCharacterIterator.Attribute attribute)

  Get the index of the first character following the run with respect to the given attribute containing the current character.

  Specified by:
    `getRunLimit` in interface `AttributedCharacterIterator`

### getRunLimit

    int getRunLimit(Set attributes)

  Get the index of the first character following the run with respect to the given attributes containing the current character.

  Specified by:
    `getRunLimit` in interface `AttributedCharacterIterator`

### getRunStart

    int getRunStart()

  Get the index of the first character of the run with respect to all attributes containing the current character.

  Specified by:
    `getRunStart` in interface `AttributedCharacterIterator`

### getRunStart

    int getRunStart(AttributedCharacterIterator.Attribute attribute)

  Get the index of the first character of the run with respect to the given attribute containing the current character.

  Specified by:
    `getRunStart` in interface `AttributedCharacterIterator`
  Parameters:
    `attribute` - The attribute for whose appearance the first offset is requested.

### getRunStart

    int getRunStart(Set attributes)

  Get the index of the first character of the run with respect to the given attributes containing the current character.

  Specified by:
    `getRunStart` in interface `AttributedCharacterIterator`
  Parameters:
    `attributes` - the Set of attributes which begins at the returned index.

### clone

    Object clone()

  Create a copy of this iterator

  Specified by:
    `clone` in interface `CharacterIterator`

### current

    char current()

  Get the character at the current position (as returned by getIndex()).
  Specified by: java.text.CharacterIterator.

  Specified by:
    `current` in interface `CharacterIterator`

### first

    char first()

  Sets the position to getBeginIndex().

  Specified by:
    `first` in interface `CharacterIterator`
  Returns:
    the character at the start index of the text.
    Specified by: java.text.CharacterIterator.

### getBeginIndex

    int getBeginIndex()

  Get the start index of the text.
  Specified by: java.text.CharacterIterator.

  Specified by:
    `getBeginIndex` in interface `CharacterIterator`

### getEndIndex

    int getEndIndex()

  Get the end index of the text.
  Specified by: java.text.CharacterIterator.

  Specified by:
    `getEndIndex` in interface `CharacterIterator`

### getIndex

    int getIndex()

  Get the current index.
  Specified by: java.text.CharacterIterator.

  Specified by:
    `getIndex` in interface `CharacterIterator`

### last

    char last()

  Sets the position to getEndIndex()-1 (getEndIndex() if the text is empty) and returns the character at that position.
  Specified by: java.text.CharacterIterator.

  Specified by:
    `last` in interface `CharacterIterator`

### next

    char next()

  Increments the iterator's index by one, returning the next character.

  Specified by:
    `next` in interface `CharacterIterator`
  Returns:
    the character at the new index.
    Specified by: java.text.CharacterIterator.

### previous

    char previous()

  Decrements the iterator's index by one and returns the character at the new index.
  Specified by: java.text.CharacterIterator.

  Specified by:
    `previous` in interface `CharacterIterator`

### setIndex

    char setIndex(int position)

  Sets the position to the specified position in the text.

  Specified by:
    `setIndex` in interface `CharacterIterator`
  Parameters:
    `position` - The new (current) index into the text.
  Returns:
    the character at new index position.
    Specified by: java.text.CharacterIterator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.